function [ Y ] = Ppos( X )
% Projects X onto the positive semidefinite cone
% Computes the eigenvalue decomposition and removes any negative components

[V,D] = eig((X+X')/2);
d = diag(D);
d(d < 0) = 0;
Dplus = diag(d);
Y = (V*Dplus) / V;

end

