function b = scriptA(X,Z)
% This function computes A(X) defined in Section 1.1 of Demanet+Hand (2014)
% A(X)_i = <X, z_i z_i^t> for i = 1 ... m, where z_i are the rows of Z
%
% X is n-by-n, Z is m-by-n, b is m-by-1

m = size(Z,1);
b = zeros(m,1);
for i = 1:m
    b(i) = Z(i,:) * X * Z(i,:)';
end