function X = scriptAstar(c,Z)
% This function computes the adjoing A*(X) defined in Section 1.1 of Demanet+Hand (2014)
% A*(lambda) = sum_i lambda_i z_i z_i^t where z_i are the rows of Z
%
% X is n-by-n, Z is m-by-n, b is m-by-1

[m,n] = size(Z);
X = zeros(n,n);
for i = 1:m
    X = X + Z(i,:)' * c(i) * Z(i,:);
end